package bench.rsp

class PseudoRandom(init:Int) {
  var prev2:Long=0
  var prev:Long=1
  var cur:Long=1
  def step():Long={
    val n=prev+cur
    prev2=prev
    prev=cur
    cur=n
    n+(prev2%7)
  }
  def multistep(steps:Int)=(1 to steps).foreach(i => step)
  
  def get={
    val a=step
    if (a<0) 
      (0-a) 
    else	
      a
  }
  def nextInt(max:Int):Int=(get % max).toInt
  
  multistep(30+init*3)
}
